Bug 216573 - [RHEL5] Global Address List (GAL) Error loading addressbook.
[RHEL5] Global Address List (GAL) Error loading addressbook.
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution-connector (Show other bugs)
5.0
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Milan Crha
: Reopened
: 237129 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 00:37 EST by donavan nelson
Modified: 2009-01-27 21:29 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-27 21:29:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description donavan nelson 2006-11-21 00:37:55 EST
+++ This bug was initially created as a clone of Bug #203617 +++

Description of problem:

trying to access a global address list configured in the exchange connecter
results in the following dialog box:

"Error loading addressbook.
We were unable to open this addressbook.  This either means you have entered an
incorrect URI, or the server is unreachable."


Version-Release number of selected component (if applicable):
$ rpm -qa |grep evolution
evolution-data-server-devel-1.6.3-1.fc5.2
evolution-2.6.3-1.fc5.5
evolution-data-server-1.6.3-1.fc5.2
evolution-webcal-2.4.1-3.4
evolution-sharp-0.10.2-9.5
evolution-connector-2.6.3-1.fc5


How reproducible:

attempt to access a global adress list not on the same server as the exchange server

Steps to Reproduce:
1.  configure evolution to use exchange
2.  (re) start exchange and login to mail box
3.  access the contacts
4.  attempt to open the "Global Address List"
  
Actual results:

error above

Expected results:

the ability to search the GAL

Additional info:

I've tested this on two different boxes, both are fully up2date FC5 boxes (as of
todays date).  Same results on both.  One box is i386 and one is x86_64 (running
x86_64 release of FC5).

-- Additional comment from donavan@4wx.net on 2006-08-22 14:55 EST --
Created an attachment (id=134660)
output of manually starting /usr/libexec/evolution-data-server-1.6 and trying to
access the GAL (several times)


-- Additional comment from donavan@4wx.net on 2006-08-22 15:03 EST --
Created an attachment (id=134662)
screen shot of the gal config page

notice how the gal IP address is not the same as the one in the
/usr/libexec/evolution-data-server-1.6 log attatched earlier.

-- Additional comment from donavan@4wx.net on 2006-10-04 12:43 EST --
I performed a fresh fc6t3 install and I'm fully yum updated on a i386 box.  I
continue to encounter the same failures.  The IP address of the GAL server is
the same as is used in working RHEL4 installs other in the office use.

[donavan@slackmasterd2 ~]$ uname -a
Linux slackmasterd2 2.6.18-1.2726.fc6 #1 SMP Mon Oct 2 19:27:36 EDT 2006 i686
i686 i386 GNU/Linux
[donavan@slackmasterd2 ~]$ rpm -qa |grep evolution
evolution-data-server-1.8.0-11.fc6
beagle-evolution-0.2.10-3.fc6
evolution-webcal-2.7.1-6
evolution-sharp-0.11.1-10.fc6
evolution-2.8.0-7.fc6
evolution-connector-2.8.0-3.fc6

Please advise if I can provide additonal information.

-- Additional comment from bdwheele@indiana.edu on 2006-10-25 10:08 EST --
This is true for me also -- The gal:// url is taken from the owa address
entered. (in my case www.exchange.iu.edu instead of the gal address of ads.iu.edu)

changing the value in the gconf key /apps/evolution/addressbook/sources doesn't
seem to fix it 

-- Additional comment from donavan@4wx.net on 2006-10-25 12:59 EST --
Problem persists in FC6 final.
Comment 1 donavan nelson 2006-11-21 00:39:58 EST
This problem exists in the stock evolution* components in RHEL5b2.
Comment 3 Matthew Barnes 2007-04-20 00:27:02 EDT
*** Bug 237129 has been marked as a duplicate of this bug. ***
Comment 4 RHEL Product and Program Management 2007-06-05 16:49:53 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Since this
bugzilla is in a component that is not approved for the current
release, it has been closed with resolution deferred.  You may
reopen this bugzilla for consideration in the next release.
Comment 8 RHEL Product and Program Management 2008-06-17 12:01:15 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Milan Crha 2008-07-09 07:27:31 EDT
Donovan, can you look for a differences between your RHEL4 (correctly behaving)
box and the RHEL5 (or even Fedora, incorrectly behaving) boxes? I mean both from
the UI (Edit->Preferences->Mail Accounts->Exchange) and from the gconf key
/apps/evolution/addressbook/sources.

One thing I can think of, what is your authentication method of the Exchange
account? I see you use auth=Basic, but some GALs require NTLM authentication.
Maybe also be sure you have there http:// or https:// in the fields for OWA/GAL.
Comment 12 Matěj Cepl 2008-10-20 16:34:11 EDT
Reporter, could you please reply to the previous question? Thank you.
Comment 13 Matěj Cepl 2008-11-24 06:26:23 EST
Donavan? Could you please react to the comment 9, please?
Comment 14 Matěj Cepl 2009-01-27 21:29:20 EST
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.